Subject: Re: [Captive-portals] CAPPORT support in iOS 14 and macOS Big Sur betas
From: David Bird <[email-masked]>
To: Tommy Pauly <[email-masked]>
Cc: Erik Kline <[email-masked]>, captive-portals <[email-masked]>
Date: Fri, 3 Jul 2020 06:23:43 -0700
List-Id: Discussion of issues related to captive portals <captive-portals.ietf.org>

Thanks Tommy,

Might you have screenshots of the user experience ? I'd be interested to
see it...

Agreed, adopting the new CAPPORT spec is very easy to setup (just a DHCP
server config change at the access point, and an API/Portal server on the
Internet). The complexity for network operators comes when fully
integrating this new "application" method of captive portaling with
existing "network" (NAS/redirect) methods. The complexity is in ensuring
the NAS and API are enforcing the same policies, for all kinds of users
(roaming, paid, free, etc) ... if the network operator doesn't do this
well, or at all, then the complexity is shifted to client device support,
answering questions like "Why does the WiFi at airport X not work only for
new devices?". For this reason, I believe you will eventually start probing
for redirects again...

You may trust the API, but you may also want to verify... :)

On Thu, Jul 2, 2020 at 7:24 AM Tommy Pauly <[email-masked]> wrote:

> Hi David,
>
> One point I wanted to clarify: the iOS and macOS betas support for CAPPORT
> discovery and APIs still goes through the standard and existing UI flow for
> captive portals. The times in which the captive portal UI is shown is
> limited, for example to times when the user is in WiFi settings. Thus,
> while adoption should indeed be easy and only require adding a small bit of
> infrastructure in order to provide a flow that doesn’t require redirects,
> the set of circumstances in which a network can display content to the user
> is not increased.
>
> Thanks,
> Tommy
>
> On Jul 1, 2020, at 5:27 PM, David Bird <[email-masked]> wrote:
>
> 
> That's pretty cool!
>
> This will give new opportunities in monetizing WiFi for new iOS and macOS
> devices with only a DHCP server change and an API server!
>
> On Wed, Jul 1, 2020 at 4:22 PM Erik Kline <[email-masked]> wrote:
>
>> +1
>>
>> Out of curiosity, does the implementation handle the 7710bis options'
>> urn:ietf:params:capport:unrestricted value?
>>
>> On Mon, Jun 22, 2020 at 5:00 PM Martin Thomson <[email-masked]> wrote:
>> >
>> > Tommy, this is great!  Thanks for all your work here, it's good to see
>> this turn into something concrete.
>> >
>> > On Tue, Jun 23, 2020, at 07:30, Tommy Pauly wrote:
>> > > Hello CAPPORT,
>> > >
>> > > I wanted to highlight an announcement we’ve made for the betas of iOS
>> > > and macOS released today:
>> > >
>> > > How to modernize your captive network
>> > > <https://developer.apple.com/news/?id=q78sq5rv>
>> > >
>> > > The betas for iOS and macOS support both draft-ietf-capport-rfc7710bis
>> > > and draft-ietf-capport-api by default. This doesn’t change the user
>> > > experience of logging onto captive networks, but the system will
>> > > request the DHCP options and handle the RA option, and will prefer
>> > > using the Captive Portal API Server interaction over having a probe
>> > > that is intercepted.
>> > >
>> > > If you have a portal system that is already implementing the CAPPORT
>> > > features, please test out these betas and let us know if you see any
>> > > issues! And if you have a captive portal solution, we’d encourage you
>> > > to start supporting this soon.
>> > >
>> > > Best,
>> > > Tommy
>> > > _______________________________________________
>> > > Captive-portals mailing list
>> > > [email-masked]
>> > > https://www.ietf.org/mailman/listinfo/captive-portals
>> > >
>> >
>> > _______________________________________________
>> > Captive-portals mailing list
>> > [email-masked]
>> > https://www.ietf.org/mailman/listinfo/captive-portals
>>
>> _______________________________________________
>> Captive-portals mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/captive-portals
>>
>